Scientific Linux Security Update : nspluginwrapper on SL6.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing a security update.

Description :

It was not possible for plug-ins wrapped by nspluginwrapper to
discover whether the browser was running in Private Browsing mode.
This flaw could lead to plug-ins wrapped by nspluginwrapper using
normal mode while they were expected to run in Private Browsing mode.
(CVE-2011-2486)

This update also fixes the following bug :

- When using the Adobe Reader(tm) web browser plug-in
provided by the acroread-plugin package on a 64-bit
system, opening Portable Document Format (PDF) files in
Firefox could cause the plug-in to crash and a black
window to be displayed where the PDF should be. Firefox
had to be restarted to resolve the issue. This update
implements a workaround in nspluginwrapper to
automatically handle the plug-in crash, so that users no
longer have to keep restarting Firefox.

This will update nspluginwrapper to upstream version 1.4.4.

After installing the update, Firefox must be restarted for the changes
to take effect.

See also :

http://www.nessus.org/u?52d693b8

Solution :

Update the affected nspluginwrapper package.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 62919 ()

Bugtraq ID:

CVE ID: CVE-2011-2486